You are not logged in.

#1 2012-07-22 18:26:01

boast
Member
Registered: 2010-09-28
Posts: 219

[SOLVED] can't install anything from AUR for kde

Like trying to compile kde-service-menu-fuseiso

==> Making package: kde-servicemenus-fuseiso 0.2-1 (Sun Jul 22 14:13:00 EDT 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Found kde-service-menu-fuseiso-0.2.tar.gz
==> Validating source files with md5sums...
    kde-service-menu-fuseiso-0.2.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting kde-service-menu-fuseiso-0.2.tar.gz with bsdtar
==> Removing existing pkg/ directory...
==> Starting build()...
-- Found Qt-Version 4.8.2 (using /usr/bin/qmake)
-- Found X11: /usr/lib/libX11.so
CMake Error at /usr/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 (MESSAGE):
  Did not find automoc4 (Automoc4Config.cmake, install
  git://anongit.kde.org/automoc).  (missing: AUTOMOC4_EXECUTABLE)
Call Stack (most recent call first):
  /usr/share/apps/cmake/modules/FindAutomoc4.cmake:49 (find_package_handle_standard_args)
  /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:423 (find_package)
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:3 (find_package)

Googling says to install automoc4, but already have it

extra/automoc4 0.9.88-3 [installed]
    Automatic moc for Qt4

Last edited by boast (2012-07-26 22:52:50)


Asus M4A785TD-V ;; Phenom II X4 @ 3.9GHz ;; Ripjaws 12GB DDR3-1600 ;; 128GB Samsung 830 ;; MSI GTX460 v2 w/ blob ;; Arch Linux + KDE 4.x

Offline

#2 2012-07-22 19:16:30

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] can't install anything from AUR for kde

Do you mean kde-servicemenus-fuseiso?

I just built that fine though my output looks a little more verbose:

$ makepkg 
==> Making package: kde-servicemenus-fuseiso 0.2-1 (Sun 22 Jul 20:08:02 BST 2012)
==> Checking runtime dependencies...
==> Checking buildtime dependencies...
==> Retrieving Sources...
  -> Downloading kde-service-menu-fuseiso-0.2.tar.gz...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
100  8196  100  8196    0     0  33076      0 --:--:-- --:--:-- --:--:-- 68300
==> Validating source files with md5sums...
    kde-service-menu-fuseiso-0.2.tar.gz ... Passed
==> Extracting Sources...
  -> Extracting kde-service-menu-fuseiso-0.2.tar.gz with bsdtar
==> Starting build()...
-- The C compiler identification is GNU 4.7.1
-- The CXX compiler identification is GNU 4.7.1
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.2 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/libX11.so
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found.
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Found OpenSSL: /usr/lib/libssl.so
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
-- Found Automoc4: /usr/bin/automoc4 
-- Found Perl: /usr/bin/perl (found version "5.16.0") 
-- Found Phonon: /usr/include 
-- Performing Test _OFFT_IS_64BIT
-- Performing Test _OFFT_IS_64BIT - Success
-- Performing Test HAVE_FPIE_SUPPORT
-- Performing Test HAVE_FPIE_SUPPORT - Success
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL
-- Performing Test __KDE_HAVE_W_OVERLOADED_VIRTUAL - Success
-- Performing Test __KDE_HAVE_GCC_VISIBILITY
-- Performing Test __KDE_HAVE_GCC_VISIBILITY - Success
-- Found KDE 4.8 include dir: /usr/include
-- Found KDE 4.8 library dir: /usr/lib
-- Found the KDE4 kconfig_compiler preprocessor: /usr/bin/kconfig_compiler
-- Found automoc4: /usr/bin/automoc4
-- Configuring done
-- Generating done
-- Build files have been written to: /home/software/builds/kde-servicemenus-fuseiso/src/kde-service-menu-fuseiso-0.2
==> Entering fakeroot environment...
==> Starting package()...
Install the project...
-- Install configuration: "RelWithDebInfo"
-- Installing: /home/software/builds/kde-servicemenus-fuseiso/pkg/usr/share/kde4/services/ServiceMenus/fuseiso_directory.desktop
-- Installing: /home/software/builds/kde-servicemenus-fuseiso/pkg/usr/share/kde4/services/ServiceMenus/fuseiso_mount.desktop
-- Installing: /home/software/builds/kde-servicemenus-fuseiso/pkg/usr/share/apps/kde-service-menu-fuseiso/media.directory
==> Tidying install...
  -> Purging unwanted files...
  -> Compressing man and info pages...
  -> Stripping unneeded symbols from binaries and libraries...
==> Creating package...
  -> Generating .PKGINFO file...
  -> Adding install file...
  -> Compressing package...
==> Leaving fakeroot environment.
==> Finished making: kde-servicemenus-fuseiso 0.2-1 (Sun 22 Jul 20:08:13 BST 2012)

Is your system up to date? Do you have base installed?


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#3 2012-07-22 19:30:11

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [SOLVED] can't install anything from AUR for kde

I have the same issue. Both my systems are up to date, both running i686 and using the same repos. On one, cmake finds automoc4 without any problems, on the other it just fails. Tried reinstalling both automoc4 and cmake without any change.

I really have no idea why this fails on one system and works on the other.

Offline

#4 2012-07-22 19:49:49

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] can't install anything from AUR for kde

Question for OP: are you on i686? (My build was on 64 bit.)

@Zom,

does

printenv

give different output in the two cases?

@OP/Zom-on-broken-system,

what does

which automoc4

give?

Last edited by cfr (2012-07-22 19:52:36)


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#5 2012-07-22 20:01:54

boast
Member
Registered: 2010-09-28
Posts: 219

Re: [SOLVED] can't install anything from AUR for kde

cfr wrote:

Do you mean kde-servicemenus-fuseiso?
Is your system up to date? Do you have base installed?

yeah. And yeah it is. The same system is no different than when I last installed anything kde aur related a couple months ago, just want to update some stuff.

Like for kcm-qt-graphicssystem pacman shows "Build Date     : Mon 02 Jul 2012 03:25:24 PM EDT." And now 20 days later, rebuilding it shows the error.

cfr wrote:

Question for OP: are you on i686? (My build was on 64 bit.)

64-bit.

$ which automoc4
/usr/bin/automoc4

Last edited by boast (2012-07-22 20:08:21)


Asus M4A785TD-V ;; Phenom II X4 @ 3.9GHz ;; Ripjaws 12GB DDR3-1600 ;; 128GB Samsung 830 ;; MSI GTX460 v2 w/ blob ;; Arch Linux + KDE 4.x

Offline

#6 2012-07-22 20:21:33

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] can't install anything from AUR for kde

Well, if it is up to date, it can't be just the same as 20 days ago, can it? I'm assuming you mean that although you ran pacman -Syu tolerably recently, you haven't changed the system in other significant ways?

Are you rebuilding existing PKGBUILD files or are you trying to install using updated files? You might want to check that left overs from previous builds have been cleared out. For example, by deleting the build directory for the packages affected.


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#7 2012-07-23 17:14:28

Eridan
Member
Registered: 2012-07-23
Posts: 2

Re: [SOLVED] can't install anything from AUR for kde

Hi, I have exactly the same problem where cmake can't find automoc.
My Archlinux installation is very new (one or two days before the glibc update) and I have just a simple install (Xorg + full Kde-meta).
It's a 64-bit install and which automoc4 return to me /usr/bin/automoc4.

Just in case, what it outputs :

==> Création du paquet kdeplasma-applets-menubar 0.1.18-1 (lun. juil. 23 19:11:37 CEST 2012)
==> Vérification des dépendances pour l'exécution...
==> Vérification des dépendances pour la compilation...
==> Récupération des sources...
  -> Téléchargement de plasma-widget-menubar-0.1.18.tar.bz2...
100 26963  100 26963    0     0  65503      0 --:--:-- --:--:-- --:--:-- 82708
  -> Téléchargement de plasma-widget-menubar-0.1.18.tar.bz2.asc...
  % Total    % Received % Xferd  Average Speed   Time    Time     Time  Current
                                 Dload  Upload   Total   Spent    Left  Speed
  0     0    0     0    0     0      0      0 --:--:-- --:--:-- --:--:--     0
100   198  100   198    0     0    233      0 --:--:-- --:--:-- --:--:--  193k
==> Validation des fichiers sources avec md5sums...
    plasma-widget-menubar-0.1.18.tar.bz2 ... Réussite
    plasma-widget-menubar-0.1.18.tar.bz2.asc ... Réussite
==> Vérification des signatures des fichiers sources grâce à gpg...
    plasma-widget-menubar-0.1.18.tar.bz2 ... ÉCHEC (Clef publique inconnue BEED35A5EEE34473)
==> ATTENTION : Des messages destinés à attirer votre attention sont apparus lors de la vérification des signatures.
    Veuillez vous assurer que vous leurs faites confiance.
==> Extraction des sources...
  -> Extraction de plasma-widget-menubar-0.1.18.tar.bz2 avec bsdtar
==> Lancement de build()...
-- The C compiler identification is GNU 4.7.1
-- The CXX compiler identification is GNU 4.7.1
-- Check for working C compiler: /usr/bin/gcc
-- Check for working C compiler: /usr/bin/gcc -- works
-- Detecting C compiler ABI info
-- Detecting C compiler ABI info - done
-- Check for working CXX compiler: /usr/bin/c++
-- Check for working CXX compiler: /usr/bin/c++ -- works
-- Detecting CXX compiler ABI info
-- Detecting CXX compiler ABI info - done
-- Looking for Q_WS_X11
-- Looking for Q_WS_X11 - found
-- Looking for Q_WS_WIN
-- Looking for Q_WS_WIN - not found.
-- Looking for Q_WS_QWS
-- Looking for Q_WS_QWS - not found.
-- Looking for Q_WS_MAC
-- Looking for Q_WS_MAC - not found.
-- Found Qt-Version 4.8.2 (using /usr/bin/qmake)
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so
-- Looking for XOpenDisplay in /usr/lib/libX11.so;/usr/lib/libXext.so;/usr/lib/libXft.so;/usr/lib/libXau.so;/usr/lib/libXdmcp.so;/usr/lib/libXpm.so - found
-- Looking for gethostbyname
-- Looking for gethostbyname - found
-- Looking for connect
-- Looking for connect - found
-- Looking for remove
-- Looking for remove - found
-- Looking for shmat
-- Looking for shmat - found
-- Looking for IceConnectionNumber in ICE
-- Looking for IceConnectionNumber in ICE - found
-- Found X11: /usr/lib/libX11.so
-- Looking for include file pthread.h
-- Looking for include file pthread.h - found
-- Looking for pthread_create
-- Looking for pthread_create - not found.
-- Looking for pthread_create in pthreads
-- Looking for pthread_create in pthreads - not found
-- Looking for pthread_create in pthread
-- Looking for pthread_create in pthread - found
-- Found Threads: TRUE  
-- Found OpenSSL: /usr/lib/libssl.so
-- Looking for _POSIX_TIMERS
-- Looking for _POSIX_TIMERS - found
CMake Error at /usr/share/apps/cmake/modules/FindPackageHandleStandardArgs.cmake:198 (MESSAGE):
  Did not find automoc4 (Automoc4Config.cmake, install
  git://anongit.kde.org/automoc).  (missing: AUTOMOC4_EXECUTABLE)
Call Stack (most recent call first):
  /usr/share/apps/cmake/modules/FindAutomoc4.cmake:49 (find_package_handle_standard_args)
  /usr/share/apps/cmake/modules/FindKDE4Internal.cmake:423 (find_package)
  /usr/share/cmake-2.8/Modules/FindKDE4.cmake:95 (FIND_PACKAGE)
  CMakeLists.txt:7 (find_package)

Offline

#8 2012-07-23 20:17:42

losinggeneration
Member
From: Iowa
Registered: 2008-02-01
Posts: 6
Website

Re: [SOLVED] can't install anything from AUR for kde

If you go into the build directory and run ccmake ${path_to_target} you'll notice Automoc4_DIR=/lib64/automoc4 (or perhaps =/lib on i686 machines.) I think this is a bug in automoc4 (I'm not sure if it's the package or upstream though.) Basically it looks like it's searching for automoc4 in / instead of /usr. The work around for this, until it's fixed elsewhere is to add -DAutomoc4_DIR=/usr/lib/automoc4 to the PKGBUILD's cmake command. This works around the issue, but has to be done for every single KDE package (at least that I've tried.) Someone want to figure out where to report this issue? I'm leaning towards the package since it's likely specific to Arch. I personally don't want to report this bug though, so it's up to someone else...

Offline

#9 2012-07-23 21:43:32

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] can't install anything from AUR for kde

Are you missing the symlink /lib64 by any chance?

$ ls -l / | grep lib
lrwxrwxrwx    1 root root       7 Jul  7 11:09 lib -> usr/lib/
lrwxrwxrwx    1 root root       7 Jul  7 11:13 lib64 -> usr/lib/

Because if it is the package, it seems odd that I don't have the same problem...


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#10 2012-07-23 21:51:00

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [SOLVED] can't install anything from AUR for kde

losinggeneration wrote:

If you go into the build directory and run ccmake ${path_to_target} you'll notice Automoc4_DIR=/lib64/automoc4 (or perhaps =/lib on i686 machines.) I think this is a bug in automoc4 (I'm not sure if it's the package or upstream though.) Basically it looks like it's searching for automoc4 in / instead of /usr. The work around for this, until it's fixed elsewhere is to add -DAutomoc4_DIR=/usr/lib/automoc4 to the PKGBUILD's cmake command. This works around the issue, but has to be done for every single KDE package (at least that I've tried.) Someone want to figure out where to report this issue? I'm leaning towards the package since it's likely specific to Arch. I personally don't want to report this bug though, so it's up to someone else...

Works here. Thank you. smile

Still, very odd that it's required on my desktop, but not on my laptop.

Offline

#11 2012-07-23 22:38:42

losinggeneration
Member
From: Iowa
Registered: 2008-02-01
Posts: 6
Website

Re: [SOLVED] can't install anything from AUR for kde

Glad it works for you Zom.
I said I wasn't going to dig anymore, but I did a bit anyways. It works in my arch32 clean chroot but not my default arch64 desktop... I'm not sure exactly what's causing the issue to be honest. It's a very odd issue indeed.

Offline

#12 2012-07-23 22:55:27

cfr
Member
From: Cymru
Registered: 2011-11-27
Posts: 5,661

Re: [SOLVED] can't install anything from AUR for kde

Note that both of the symlinks at the root (/lib and /lib64) are owned by glibc. So if you are missing those links, you could reinstall glibc to restore them.


How To Ask Questions The Smart Way | Help Vampires

Arch Linux | x86_64 | GPT | EFI boot | grub2 | systemd | LVM2 on LUKS
Lenovo x121e | Intel(R) Core(TM) i3-2367M CPU @ 1.40GHz GenuineIntel | Intel Centrino Wireless-N 1000 | US keyboard with Euro | 320G 7200 RPM Seagate HDD

Offline

#13 2012-07-23 22:59:27

losinggeneration
Member
From: Iowa
Registered: 2008-02-01
Posts: 6
Website

Re: [SOLVED] can't install anything from AUR for kde

cfr wrote:

Note that both of the symlinks at the root (/lib and /lib64) are owned by glibc. So if you are missing those links, you could reinstall glibc to restore them.

The problem seems to be related to finding /lib/automoc4 (instead of /usr/lib/automoc4) and then cmake is assuming automoc4 is in /bin instead of /usr/bin.

Offline

#14 2012-07-24 03:23:17

boast
Member
Registered: 2010-09-28
Posts: 219

Re: [SOLVED] can't install anything from AUR for kde

losinggeneration wrote:

The work around for this, until it's fixed elsewhere is to add -DAutomoc4_DIR=/usr/lib/automoc4 to the PKGBUILD's cmake command..

awesome. thanks!


Asus M4A785TD-V ;; Phenom II X4 @ 3.9GHz ;; Ripjaws 12GB DDR3-1600 ;; 128GB Samsung 830 ;; MSI GTX460 v2 w/ blob ;; Arch Linux + KDE 4.x

Offline

#15 2012-07-24 18:05:16

splashy
Member
Registered: 2010-08-21
Posts: 127

Re: [SOLVED] can't install anything from AUR for kde

Please!!! Add this line:


export Automoc4_DIR=/usr/lib/automoc4

in your .zshrc.local or .bashrc file. You welcome ^^



===> better than manually change evrey pkgbuild

It's exactly what losinggeneration said but with this there is no need to manually change every single aur package with cmake command.

Last edited by splashy (2012-07-24 22:55:40)

Offline

#16 2012-07-24 18:54:03

Zom
Member
From: Sweden
Registered: 2007-10-27
Posts: 406

Re: [SOLVED] can't install anything from AUR for kde

splashy wrote:

Please!!! Add this line:


export Automoc4_DIR=/usr/lib/automoc4

in your .zshrc.local or .bashrc file. You welcome ^^



===> Problem solve like a Pro.

Cool, way to basically just repeat what others already said in the topic:

losinggeneration wrote:

If you go into the build directory and run ccmake ${path_to_target} you'll notice Automoc4_DIR=/lib64/automoc4 (or perhaps =/lib on i686 machines.) I think this is a bug in automoc4 (I'm not sure if it's the package or upstream though.) Basically it looks like it's searching for automoc4 in / instead of /usr. The work around for this, until it's fixed elsewhere is to add -DAutomoc4_DIR=/usr/lib/automoc4 to the PKGBUILD's cmake command. This works around the issue, but has to be done for every single KDE package (at least that I've tried.) Someone want to figure out where to report this issue? I'm leaning towards the package since it's likely specific to Arch. I personally don't want to report this bug though, so it's up to someone else...

Offline

#17 2012-07-24 20:10:13

Eridan
Member
Registered: 2012-07-23
Posts: 2

Re: [SOLVED] can't install anything from AUR for kde

Thanks everyone it works great now smile

On my end I had the problem on my laptop and not on my desktop, both installs being the same and made the same time...
The important thing is that there is a work around.

Thanks again !

Offline

#18 2012-11-17 19:15:03

ilpianista
Fellow developer
From: Lecce, Italy
Registered: 2007-10-06
Posts: 567
Website

Re: [SOLVED] can't install anything from AUR for kde

The real isssue here is $PATH.

/usr/bin must preecede /bin (this is the default)

Offline

#19 2013-04-27 14:17:25

flying sheep
Member
Registered: 2012-02-29
Posts: 78

Re: [SOLVED] can't install anything from AUR for kde

ndr: thanks! finally a real fix!

Offline

Board footer

Powered by FluxBB